Index: protocols/jabber/message.c
===================================================================
--- protocols/jabber/message.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ protocols/jabber/message.c	(revision 5ebff60479fc7a9f7f50ac03b124c91d4e6ebe11)
@@ -24,20 +24,20 @@
 #include "jabber.h"
 
-xt_status jabber_pkt_message( struct xt_node *node, gpointer data )
+xt_status jabber_pkt_message(struct xt_node *node, gpointer data)
 {
 	struct im_connection *ic = data;
-	char *from = xt_find_attr( node, "from" );
-	char *type = xt_find_attr( node, "type" );
-	char *id = xt_find_attr( node, "id" );
-	struct xt_node *body = xt_find_node( node->children, "body" ), *c;
-	struct xt_node *request = xt_find_node( node->children, "request" );
+	char *from = xt_find_attr(node, "from");
+	char *type = xt_find_attr(node, "type");
+	char *id = xt_find_attr(node, "id");
+	struct xt_node *body = xt_find_node(node->children, "body"), *c;
+	struct xt_node *request = xt_find_node(node->children, "request");
 	struct jabber_buddy *bud = NULL;
 	char *s, *room = NULL, *reason = NULL;
-	
-	if( !from )
+
+	if (!from) {
 		return XT_HANDLED; /* Consider this packet corrupted. */
 
-	if( request && id )
-	{
+	}
+	if (request && id) {
 		/* Send a message receipt (XEP-0184), looking like this:
 		 * <message
@@ -48,80 +48,70 @@
 		 * </message> */
 		struct xt_node *received, *receipt;
-		
-		received = xt_new_node( "received", NULL, NULL );
-		xt_add_attr( received, "xmlns", XMLNS_RECEIPTS );
-		xt_add_attr( received, "id", id );
-		receipt = jabber_make_packet( "message", NULL, from, received );
 
-		jabber_write_packet( ic, receipt );
-		xt_free_node( receipt );
+		received = xt_new_node("received", NULL, NULL);
+		xt_add_attr(received, "xmlns", XMLNS_RECEIPTS);
+		xt_add_attr(received, "id", id);
+		receipt = jabber_make_packet("message", NULL, from, received);
+
+		jabber_write_packet(ic, receipt);
+		xt_free_node(receipt);
 	}
-	
-	bud = jabber_buddy_by_jid( ic, from, GET_BUDDY_EXACT );
-	
-	if( type && strcmp( type, "error" ) == 0 )
-	{
+
+	bud = jabber_buddy_by_jid(ic, from, GET_BUDDY_EXACT);
+
+	if (type && strcmp(type, "error") == 0) {
 		/* Handle type=error packet. */
-	}
-	else if( type && from && strcmp( type, "groupchat" ) == 0 )
-	{
-		jabber_chat_pkt_message( ic, bud, node );
-	}
-	else /* "chat", "normal", "headline", no-type or whatever. Should all be pretty similar. */
-	{
-		GString *fullmsg = g_string_new( "" );
+	} else if (type && from && strcmp(type, "groupchat") == 0) {
+		jabber_chat_pkt_message(ic, bud, node);
+	} else { /* "chat", "normal", "headline", no-type or whatever. Should all be pretty similar. */
+		GString *fullmsg = g_string_new("");
 
-		for( c = node->children; ( c = xt_find_node( c, "x" ) ); c = c->next )
-		{
-			char *ns = xt_find_attr( c, "xmlns" );
+		for (c = node->children; (c = xt_find_node(c, "x")); c = c->next) {
+			char *ns = xt_find_attr(c, "xmlns");
 			struct xt_node *inv;
-			
-			if( ns && strcmp( ns, XMLNS_MUC_USER ) == 0 &&
-			    ( inv = xt_find_node( c->children, "invite" ) ) )
-			{
+
+			if (ns && strcmp(ns, XMLNS_MUC_USER) == 0 &&
+			    (inv = xt_find_node(c->children, "invite"))) {
 				/* This is an invitation. Set some vars which
 				   will be passed to imcb_chat_invite() below. */
 				room = from;
-				if( ( from = xt_find_attr( inv, "from" ) ) == NULL )
+				if ((from = xt_find_attr(inv, "from")) == NULL) {
 					from = room;
-				if( ( inv = xt_find_node( inv->children, "reason" ) ) && inv->text_len > 0 )
+				}
+				if ((inv = xt_find_node(inv->children, "reason")) && inv->text_len > 0) {
 					reason = inv->text;
+				}
 			}
 		}
-		
-		if( ( s = strchr( from, '/' ) ) )
-		{
-			if( bud )
-			{
-				bud->last_msg = time( NULL );
+
+		if ((s = strchr(from, '/'))) {
+			if (bud) {
+				bud->last_msg = time(NULL);
 				from = bud->ext_jid ? bud->ext_jid : bud->bare_jid;
-			}
-			else
+			} else {
 				*s = 0; /* We need to generate a bare JID now. */
-		}
-		
-		if( type && strcmp( type, "headline" ) == 0 )
-		{
-			if( ( c = xt_find_node( node->children, "subject" ) ) && c->text_len > 0 )
-				g_string_append_printf( fullmsg, "Headline: %s\n", c->text );
-			
-			/* <x xmlns="jabber:x:oob"><url>http://....</url></x> can contain a URL, it seems. */
-			for( c = node->children; c; c = c->next )
-			{
-				struct xt_node *url;
-				
-				if( ( url = xt_find_node( c->children, "url" ) ) && url->text_len > 0 )
-					g_string_append_printf( fullmsg, "URL: %s\n", url->text );
 			}
 		}
-		else if( ( c = xt_find_node( node->children, "subject" ) ) && c->text_len > 0 &&
-		         ( !bud || !( bud->flags & JBFLAG_HIDE_SUBJECT ) ) )
-		{
-			g_string_append_printf( fullmsg, "<< \002BitlBee\002 - Message with subject: %s >>\n", c->text );
-			if( bud )
+
+		if (type && strcmp(type, "headline") == 0) {
+			if ((c = xt_find_node(node->children, "subject")) && c->text_len > 0) {
+				g_string_append_printf(fullmsg, "Headline: %s\n", c->text);
+			}
+
+			/* <x xmlns="jabber:x:oob"><url>http://....</url></x> can contain a URL, it seems. */
+			for (c = node->children; c; c = c->next) {
+				struct xt_node *url;
+
+				if ((url = xt_find_node(c->children, "url")) && url->text_len > 0) {
+					g_string_append_printf(fullmsg, "URL: %s\n", url->text);
+				}
+			}
+		} else if ((c = xt_find_node(node->children, "subject")) && c->text_len > 0 &&
+		           (!bud || !(bud->flags & JBFLAG_HIDE_SUBJECT))) {
+			g_string_append_printf(fullmsg, "<< \002BitlBee\002 - Message with subject: %s >>\n", c->text);
+			if (bud) {
 				bud->flags |= JBFLAG_HIDE_SUBJECT;
-		}
-		else if( bud && !c )
-		{
+			}
+		} else if (bud && !c) {
 			/* Yeah, possibly we're hiding changes to this field now. But nobody uses
 			   this for anything useful anyway, except GMail when people reply to an
@@ -130,42 +120,40 @@
 			bud->flags &= ~JBFLAG_HIDE_SUBJECT;
 		}
-		
-		if( body && body->text_len > 0 ) /* Could be just a typing notification. */
-			fullmsg = g_string_append( fullmsg, body->text );
-		
-		if( fullmsg->len > 0 )
-			imcb_buddy_msg( ic, from, fullmsg->str,
-			                0, jabber_get_timestamp( node ) );
-		if( room )
-			imcb_chat_invite( ic, room, from, reason );
-		
-		g_string_free( fullmsg, TRUE );
-		
+
+		if (body && body->text_len > 0) { /* Could be just a typing notification. */
+			fullmsg = g_string_append(fullmsg, body->text);
+		}
+
+		if (fullmsg->len > 0) {
+			imcb_buddy_msg(ic, from, fullmsg->str,
+			               0, jabber_get_timestamp(node));
+		}
+		if (room) {
+			imcb_chat_invite(ic, room, from, reason);
+		}
+
+		g_string_free(fullmsg, TRUE);
+
 		/* Handling of incoming typing notifications. */
-		if( bud == NULL )
-		{
+		if (bud == NULL) {
 			/* Can't handle these for unknown buddies. */
-		}
-		else if( xt_find_node( node->children, "composing" ) )
-		{
+		} else if (xt_find_node(node->children, "composing")) {
 			bud->flags |= JBFLAG_DOES_XEP85;
-			imcb_buddy_typing( ic, from, OPT_TYPING );
+			imcb_buddy_typing(ic, from, OPT_TYPING);
 		}
 		/* No need to send a "stopped typing" signal when there's a message. */
-		else if( xt_find_node( node->children, "active" ) && ( body == NULL ) )
-		{
+		else if (xt_find_node(node->children, "active") && (body == NULL)) {
 			bud->flags |= JBFLAG_DOES_XEP85;
-			imcb_buddy_typing( ic, from, 0 );
+			imcb_buddy_typing(ic, from, 0);
+		} else if (xt_find_node(node->children, "paused")) {
+			bud->flags |= JBFLAG_DOES_XEP85;
+			imcb_buddy_typing(ic, from, OPT_THINKING);
 		}
-		else if( xt_find_node( node->children, "paused" ) )
-		{
-			bud->flags |= JBFLAG_DOES_XEP85;
-			imcb_buddy_typing( ic, from, OPT_THINKING );
+
+		if (s) {
+			*s = '/'; /* And convert it back to a full JID. */
 		}
-		
-		if( s )
-			*s = '/'; /* And convert it back to a full JID. */
 	}
-	
+
 	return XT_HANDLED;
 }
Index: protocols/jabber/presence.c
===================================================================
--- protocols/jabber/presence.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ protocols/jabber/presence.c	(revision 5ebff60479fc7a9f7f50ac03b124c91d4e6ebe11)
@@ -24,29 +24,28 @@
 #include "jabber.h"
 
-xt_status jabber_pkt_presence( struct xt_node *node, gpointer data )
+xt_status jabber_pkt_presence(struct xt_node *node, gpointer data)
 {
 	struct im_connection *ic = data;
-	char *from = xt_find_attr( node, "from" );
-	char *type = xt_find_attr( node, "type" );	/* NULL should mean the person is online. */
+	char *from = xt_find_attr(node, "from");
+	char *type = xt_find_attr(node, "type");        /* NULL should mean the person is online. */
 	struct xt_node *c, *cap;
 	struct jabber_buddy *bud, *send_presence = NULL;
 	int is_chat = 0;
 	char *s;
-	
-	if( !from )
+
+	if (!from) {
 		return XT_HANDLED;
-	
-	if( ( s = strchr( from, '/' ) ) )
-	{
+	}
+
+	if ((s = strchr(from, '/'))) {
 		*s = 0;
-		if( jabber_chat_by_jid( ic, from ) )
+		if (jabber_chat_by_jid(ic, from)) {
 			is_chat = 1;
+		}
 		*s = '/';
 	}
-	
-	if( type == NULL )
-	{
-		if( !( bud = jabber_buddy_by_jid( ic, from, GET_BUDDY_EXACT | GET_BUDDY_CREAT ) ) )
-		{
+
+	if (type == NULL) {
+		if (!(bud = jabber_buddy_by_jid(ic, from, GET_BUDDY_EXACT | GET_BUDDY_CREAT))) {
 			/*
 			imcb_log( ic, "Warning: Could not handle presence information from JID: %s", from );
@@ -54,54 +53,51 @@
 			return XT_HANDLED;
 		}
-		
-		g_free( bud->away_message );
-		if( ( c = xt_find_node( node->children, "status" ) ) && c->text_len > 0 )
-			bud->away_message = g_strdup( c->text );
-		else
+
+		g_free(bud->away_message);
+		if ((c = xt_find_node(node->children, "status")) && c->text_len > 0) {
+			bud->away_message = g_strdup(c->text);
+		} else {
 			bud->away_message = NULL;
-		
-		if( ( c = xt_find_node( node->children, "show" ) ) && c->text_len > 0 )
-		{
-			bud->away_state = (void*) jabber_away_state_by_code( c->text );
-		}
-		else
-		{
+		}
+
+		if ((c = xt_find_node(node->children, "show")) && c->text_len > 0) {
+			bud->away_state = (void *) jabber_away_state_by_code(c->text);
+		} else {
 			bud->away_state = NULL;
 		}
-		
-		if( ( c = xt_find_node( node->children, "priority" ) ) && c->text_len > 0 )
-			bud->priority = atoi( c->text );
-		else
+
+		if ((c = xt_find_node(node->children, "priority")) && c->text_len > 0) {
+			bud->priority = atoi(c->text);
+		} else {
 			bud->priority = 0;
-		
-		if( bud && ( cap = xt_find_node( node->children, "c" ) ) &&
-		    ( s = xt_find_attr( cap, "xmlns" ) ) && strcmp( s, XMLNS_CAPS ) == 0 )
-		{
+		}
+
+		if (bud && (cap = xt_find_node(node->children, "c")) &&
+		    (s = xt_find_attr(cap, "xmlns")) && strcmp(s, XMLNS_CAPS) == 0) {
 			/* This <presence> stanza includes an XEP-0115
 			   capabilities part. Not too interesting, but we can
 			   see if it has an ext= attribute. */
-			s = xt_find_attr( cap, "ext" );
-			if( s && ( strstr( s, "cstates" ) || strstr( s, "chatstate" ) ) )
+			s = xt_find_attr(cap, "ext");
+			if (s && (strstr(s, "cstates") || strstr(s, "chatstate"))) {
 				bud->flags |= JBFLAG_DOES_XEP85;
-			
+			}
+
 			/* This field can contain more information like xhtml
 			   support, but we don't support that ourselves.
 			   Officially the ext= tag was deprecated, but enough
 			   clients do send it.
-			   
+
 			   (I'm aware that this is not the right way to use
 			   this field.) See for an explanation of ext=:
 			   http://www.xmpp.org/extensions/attic/xep-0115-1.3.html*/
 		}
-		
-		if( is_chat )
-			jabber_chat_pkt_presence( ic, bud, node );
-		else
-			send_presence = jabber_buddy_by_jid( ic, bud->bare_jid, 0 );
-	}
-	else if( strcmp( type, "unavailable" ) == 0 )
-	{
-		if( ( bud = jabber_buddy_by_jid( ic, from, 0 ) ) == NULL )
-		{
+
+		if (is_chat) {
+			jabber_chat_pkt_presence(ic, bud, node);
+		} else {
+			send_presence = jabber_buddy_by_jid(ic, bud->bare_jid, 0);
+		}
+	} else if (strcmp(type, "unavailable") == 0) {
+		if ((bud = jabber_buddy_by_jid(ic, from, 0)) == NULL) {
 			/*
 			imcb_log( ic, "Warning: Received presence information from unknown JID: %s", from );
@@ -109,53 +105,41 @@
 			return XT_HANDLED;
 		}
-		
+
 		/* Handle this before we delete the JID. */
-		if( is_chat )
-		{
-			jabber_chat_pkt_presence( ic, bud, node );
-		}
-		
-		if( strchr( from, '/' ) == NULL )
+		if (is_chat) {
+			jabber_chat_pkt_presence(ic, bud, node);
+		}
+
+		if (strchr(from, '/') == NULL) {
 			/* Sometimes servers send a type="unavailable" from a
 			   bare JID, which should mean that suddenly all
 			   resources for this JID disappeared. */
-			jabber_buddy_remove_bare( ic, from );
-		else
-			jabber_buddy_remove( ic, from );
-		
-		if( is_chat )
-		{
+			jabber_buddy_remove_bare(ic, from);
+		} else {
+			jabber_buddy_remove(ic, from);
+		}
+
+		if (is_chat) {
 			/* Nothing else to do for now? */
-		}
-		else if( ( s = strchr( from, '/' ) ) )
-		{
+		} else if ((s = strchr(from, '/'))) {
 			*s = 0;
-		
+
 			/* If another resource is still available, send its presence
 			   information. */
-			if( ( send_presence = jabber_buddy_by_jid( ic, from, 0 ) ) == NULL )
-			{
+			if ((send_presence = jabber_buddy_by_jid(ic, from, 0)) == NULL) {
 				/* Otherwise, count him/her as offline now. */
-				imcb_buddy_status( ic, from, 0, NULL, NULL );
+				imcb_buddy_status(ic, from, 0, NULL, NULL);
 			}
-			
+
 			*s = '/';
-		}
-		else
-		{
-			imcb_buddy_status( ic, from, 0, NULL, NULL );
-		}
-	}
-	else if( strcmp( type, "subscribe" ) == 0 )
-	{
-		jabber_buddy_ask( ic, from );
-	}
-	else if( strcmp( type, "subscribed" ) == 0 )
-	{
+		} else {
+			imcb_buddy_status(ic, from, 0, NULL, NULL);
+		}
+	} else if (strcmp(type, "subscribe") == 0) {
+		jabber_buddy_ask(ic, from);
+	} else if (strcmp(type, "subscribed") == 0) {
 		/* Not sure about this one, actually... */
-		imcb_log( ic, "%s just accepted your authorization request", from );
-	}
-	else if( strcmp( type, "unsubscribe" ) == 0 || strcmp( type, "unsubscribed" ) == 0 )
-	{
+		imcb_log(ic, "%s just accepted your authorization request", from);
+	} else if (strcmp(type, "unsubscribe") == 0 || strcmp(type, "unsubscribed") == 0) {
 		/* Do nothing here. Plenty of control freaks or over-curious
 		   souls get excited when they can see who still has them in
@@ -163,37 +147,35 @@
 		   got the impression that those are the people who get
 		   removed from many buddy lists for "some" reason...
-		   
+
 		   If you're one of those people, this is your chance to write
 		   your first line of code in C... */
-	}
-	else if( strcmp( type, "error" ) == 0 )
-	{
-		return jabber_cache_handle_packet( ic, node );
-		
+	} else if (strcmp(type, "error") == 0) {
+		return jabber_cache_handle_packet(ic, node);
+
 		/*
 		struct jabber_error *err;
 		if( ( c = xt_find_node( node->children, "error" ) ) )
 		{
-			err = jabber_error_parse( c, XMLNS_STANZA_ERROR );
-			imcb_error( ic, "Stanza (%s) error: %s%s%s", node->name,
-			            err->code, err->text ? ": " : "",
-			            err->text ? err->text : "" );
-			jabber_error_free( err );
+		        err = jabber_error_parse( c, XMLNS_STANZA_ERROR );
+		        imcb_error( ic, "Stanza (%s) error: %s%s%s", node->name,
+		                    err->code, err->text ? ": " : "",
+		                    err->text ? err->text : "" );
+		        jabber_error_free( err );
 		} */
 	}
 
-	if( send_presence )
-	{
+	if (send_presence) {
 		int is_away = 0;
 
-		if( send_presence->away_state &&
-		    strcmp( send_presence->away_state->code, "chat" ) != 0 )
+		if (send_presence->away_state &&
+		    strcmp(send_presence->away_state->code, "chat") != 0) {
 			is_away = OPT_AWAY;
-
-		imcb_buddy_status( ic, send_presence->bare_jid, OPT_LOGGED_IN | is_away,
-		                   is_away ? send_presence->away_state->full_name : NULL,
-		                   send_presence->away_message );
-	}
-	
+		}
+
+		imcb_buddy_status(ic, send_presence->bare_jid, OPT_LOGGED_IN | is_away,
+		                  is_away ? send_presence->away_state->full_name : NULL,
+		                  send_presence->away_message);
+	}
+
 	return XT_HANDLED;
 }
@@ -201,5 +183,5 @@
 /* Whenever presence information is updated, call this function to inform the
    server. */
-int presence_send_update( struct im_connection *ic )
+int presence_send_update(struct im_connection *ic)
 {
 	struct jabber_data *jd = ic->proto_data;
@@ -207,52 +189,53 @@
 	GSList *l;
 	int st;
-	
-	node = jabber_make_packet( "presence", NULL, NULL, NULL );
-	xt_add_child( node, xt_new_node( "priority", set_getstr( &ic->acc->set, "priority" ), NULL ) );
-	if( jd->away_state )
-		xt_add_child( node, xt_new_node( "show", jd->away_state->code, NULL ) );
-	if( jd->away_message )
-		xt_add_child( node, xt_new_node( "status", jd->away_message, NULL ) );
-	
+
+	node = jabber_make_packet("presence", NULL, NULL, NULL);
+	xt_add_child(node, xt_new_node("priority", set_getstr(&ic->acc->set, "priority"), NULL));
+	if (jd->away_state) {
+		xt_add_child(node, xt_new_node("show", jd->away_state->code, NULL));
+	}
+	if (jd->away_message) {
+		xt_add_child(node, xt_new_node("status", jd->away_message, NULL));
+	}
+
 	/* This makes the packet slightly bigger, but clients interested in
 	   capabilities can now cache the discovery info. This reduces the
 	   usual post-login iq-flood. See XEP-0115. At least libpurple and
 	   Trillian seem to do this right. */
-	cap = xt_new_node( "c", NULL, NULL );
-	xt_add_attr( cap, "xmlns", XMLNS_CAPS );
-	xt_add_attr( cap, "node", "http://bitlbee.org/xmpp/caps" );
-	xt_add_attr( cap, "ver", BITLBEE_VERSION ); /* The XEP wants this hashed, but nobody's doing that. */
-	xt_add_child( node, cap );
-	
-	st = jabber_write_packet( ic, node );
-	
+	cap = xt_new_node("c", NULL, NULL);
+	xt_add_attr(cap, "xmlns", XMLNS_CAPS);
+	xt_add_attr(cap, "node", "http://bitlbee.org/xmpp/caps");
+	xt_add_attr(cap, "ver", BITLBEE_VERSION);   /* The XEP wants this hashed, but nobody's doing that. */
+	xt_add_child(node, cap);
+
+	st = jabber_write_packet(ic, node);
+
 	/* Have to send this update to all groupchats too, the server won't
 	   do this automatically. */
-	for( l = ic->groupchats; l && st; l = l->next )
-	{
+	for (l = ic->groupchats; l && st; l = l->next) {
 		struct groupchat *c = l->data;
 		struct jabber_chat *jc = c->data;
-		
-		xt_add_attr( node, "to", jc->my_full_jid );
-		st = jabber_write_packet( ic, node );
-	}
-	
-	xt_free_node( node );
+
+		xt_add_attr(node, "to", jc->my_full_jid);
+		st = jabber_write_packet(ic, node);
+	}
+
+	xt_free_node(node);
 	return st;
 }
 
 /* Send a subscribe/unsubscribe request to a buddy. */
-int presence_send_request( struct im_connection *ic, char *handle, char *request )
+int presence_send_request(struct im_connection *ic, char *handle, char *request)
 {
 	struct xt_node *node;
 	int st;
-	
-	node = jabber_make_packet( "presence", NULL, NULL, NULL );
-	xt_add_attr( node, "to", handle );
-	xt_add_attr( node, "type", request );
-	
-	st = jabber_write_packet( ic, node );
-	
-	xt_free_node( node );
+
+	node = jabber_make_packet("presence", NULL, NULL, NULL);
+	xt_add_attr(node, "to", handle);
+	xt_add_attr(node, "type", request);
+
+	st = jabber_write_packet(ic, node);
+
+	xt_free_node(node);
 	return st;
 }
